<?php
/*
Plugin Name: FW Bloginfo
Plugin URI: http://wordpress.org/extend/plugins/bloginfo-fw/
Description: Wordpress Information mit der 'bloginfo()' Funktion, als Dashboard Ausgabe und als Gesamt und Einzelinfo Shortcodes 
Version: 0.1
Author: Franz Wieser
Author URI: http://www.wieser.at/wordpress/Plugins
License: GPL2
*/
/*  Copyright 2012  Franz Wieser  (email : franz@wieser.at)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

add_action('init', 'bloginfo_fw_shortcodes');
add_action('admin_menu', 'bloginfo_fw_menu');


function bloginfo_fw_menu() {

add_menu_page('Bloginfo', 'bloginfo', 'read', 'fw_bloginfo', 'bloginfo_fw_show');
}

function siteinfoarray()
{
$options = array (
	"Name" => "name",
	"Beschreibung" => "description" ,
	"Email Administrator" => "admin_email",
	"Internetadrese" => "url" ,
	"Wordpressadresse" => "wpurl",
	"Stylsheet Verzeichnis" => "stylesheet_directory",
	"Stylesheet Adresse" => "stylesheet_url",
	"Template Verzeichnis" => "template_directory",
	"Template Adresse" => "template_url",
	"Atom Adresse" => "atom_url",
	"RSS2 Feed  Adresse" => "rss2_url",
	"RSS Feed Adresse" => "rss_url",
	"Pingback Adresse" => "pingback_url",
	"RDF Adressen" => "rdf_url",
	"Kommentare Atom Adresse "=>"comments_atom_url",
	"Kommentare RSS Adresse" => "comments_rss2_url",
	"Zeichensatz" => "charset",
	"HTML type" => "html_type",

	
	"Sprache" => "language",
	"Text Verzeichnis" => "text_direction",
	"Wordpress Version" => "version"
	);
return $options;
}
function bloginfoout()
{

$options= siteinfoarray();
$out= '<h2>Bloginfo</h2>';
$out.="<table class='wp-list-table' >";
$out.="<tr><td>Wordpress Info</td><td>diese Liste</td><td>Shortcode: [bloginfo] </td></tr>";

	foreach ($options as $value => $options) {
		$out.='<tr><td class="">'.$value. ' </td> ';
		$out.='<td>'.get_bloginfo($options).'</td><td>Shortcode: ['.$options.'] </td></tr>';
	}
$out.="</table>";
return $out;
}

function bloginfo_fw_show()
{
echo '<div class="wrap">';
	


$out=bloginfoout();

echo $out;
	echo '</div>';
}

function foobar2_func( $atts ){
 return "foo and bar";
}
add_shortcode( 'bloginfo', 'bloginfoout' );

function bloginfo_fw_shortcodes() {
	$options= siteinfoarray();
	

	foreach ($options as $option => $value) {
		add_shortcode($value, create_function(null, 'return get_bloginfo('.$value.');'));
		
	}

}

//
?>